<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sckw.goods.mapper.CategoryMapper">

    <select id="selectList" resultType="com.sckw.goods.entity.res.CategoryFindListRes">
        select id,category_name as `name` from kw_business_category
        <where>
            del_flag = 0
            <if test="categoryName != null and categoryName != ''">
                and category_name like concat('%',#{categoryName}, '%')
            </if>
        </where>
    </select>
</mapper>